<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_b2f5a100451164396" . "178c16d2a5c6899" => base64_decode("cHJl" . "dl90" . "aXRs" . "ZQ=="), "titl" . "e" => base64_decode("dGl0bGU" . "="), "_6e38cb9e043a07c" . "d69a1711a6704c62" . "a" => base64_decode("cGFyZW" . "50X2lk"), "_a5e22fe41a6e4288b56d" . "f78f2f278f8f" => base64_decode("cHJld" . "l9wYX" . "JlbnR" . "faWQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a5e22fe41a6e42" . "88b56df78f2f278" . "f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_6e38cb9e043a07cd69a1711a6704c6" . "2a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}